{ config, pkgs, ... }@all: with all;
{
  home.packages = with pkgs; [ libnotify ];
  services.mako = with rice; {
    enable = if config.programs.hyprpanel.enable then false else true;
    settings = {
      default-timeout = 5000; # in ms
      background-color = color.background;
      text-color = color.foreground;
      font = font.code.name;
      border-size = border-width;
      border-radius = rounding;
      border-color = color.border;
      anchor = "top-right";
      margin = builtins.toString (gap-size * 2) ;
    };
  };
}
